Loading...
Searching...
No Matches
libcamera::MessageQueue Class Reference

A queue of posted messages. More...

Collaboration diagram for libcamera::MessageQueue:
[legend]

## Public Attributes

std::list< std::unique_ptr< Message > > | list_
| List of queued Message instances.
Mutex | mutex_
| Protects the list_.
unsigned int | recursion_ = 0
| The recursion level for recursive Thread::dispatchMessages() calls.

## Detailed Description

A queue of posted messages.

The documentation for this class was generated from the following file:

- src/libcamera/base/thread.cpp